use cuddle_clusters::process::ProcessOpts;

pub(crate) async fn run_test(name: &str) -> anyhow::Result<()> {
    let _ = tracing_subscriber::fmt::try_init();

    println!("running for: {name}");

    let current_dir = std::env::current_dir()?;

    cuddle_clusters::process_opts(ProcessOpts {
        path: current_dir.join("tests").join(name),
    })
    .await?;

    Ok(())
}
